Package org.bukkit.loot

# Class LootContext

java.lang.Object
org.bukkit.loot.LootContext

public final class LootContext extends Object
Represents additional information a `LootTable` can use to modify it's generated loot.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LootContext.Builder`
Utility class to make building `LootContext` easier.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_LOOT_MODIFIER`

## Method Summary

Modifier and Type
Method
Description
`@Nullable HumanEntity`
`getKiller()`
Get the `HumanEntity` who killed the `getLootedEntity()`.
`@NotNull Location`
`getLocation()`
The `Location` to store where the loot will be generated.
`@Nullable Entity`
`getLootedEntity()`
Get the `Entity` that was killed.
`int`
`getLootingModifier()`
Represents the `Enchantment.LOOT_BONUS_MOBS` the `getKiller()` entity has on their equipped item.
`float`
`getLuck()`
Represents the `PotionEffectType.LUCK` that an entity can have.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_LOOT_MODIFIER

public static final int DEFAULT_LOOT_MODIFIER

See Also:
  - Constant Field Values

## Method Details

### getLocation

@NotNull public @NotNull Location getLocation()
The `Location` to store where the loot will be generated.

Returns:
  the Location of where the loot will be generated

### getLuck

public float getLuck()
Represents the `PotionEffectType.LUCK` that an entity can have. The higher the value the better chance of receiving more loot.

Returns:
  luck

### getLootingModifier

public int getLootingModifier()
Represents the `Enchantment.LOOT_BONUS_MOBS` the `getKiller()` entity has on their equipped item. This value is only set via `LootContext.Builder.lootingModifier(int)`. If not set, the `getKiller()` entity's looting level will be used instead.

Returns:
  the looting level

### getLootedEntity

@Nullable public @Nullable Entity getLootedEntity()
Get the `Entity` that was killed. Can be null.

Returns:
  the looted entity or null

### getKiller

@Nullable public @Nullable HumanEntity getKiller()
Get the `HumanEntity` who killed the `getLootedEntity()`. Can be null.

Returns:
  the killer entity, or null.